1. Account API
Hatif
  • Rate Limiting
  • Account API
    • Service Login
      POST
  • Channels API
    • Get Channels
      GET
  • Support API
    • Upload Image, Video, or PDF
      POST
    • Upload Audio File
      POST
  • Whatsapp API
    • Send Text
      POST
    • Send Template
      POST
    • Send Image
      POST
    • Send Audio
      POST
    • Send Video
      POST
    • Send File
      POST
    • Send Interactive Buttons
      POST
    • List Templates (Service Account)
      GET
  • Contact
    • Set Property Value on Contact
      PUT
    • Search Contacts
      POST
    • Delete Property Value on Contact
      DELETE
    • Create Contact
      POST
    • Update Contact
      PUT
    • Get Contacts
      GET
    • Get Contact By Id
      GET
    • Create Bulk Contacts vCards
      POST
    • Contacts History
      GET
  • Contact Properties
    • List Contact Properties
      GET
    • Contact Properties Statistics
      POST
    • Create Contact Property
      POST
    • Update Contact Property
      PUT
    • Delete Contact Property
      DELETE
  • Workspace API
    • Get Workspace Users
  • Conversations API
    • Get Conversation Timeline
    • List Conversations
    • Create Conversation
    • Assign Conversation
    • Get Conversation
    • Assign Conversation
  • Tags API
    • Tag a conversation
    • Create Tag
    • Delete Tag
    • Update Tag
    • List Tags
  • Outbound IVR
    • Create Outbound IVR
    • Get Outbound IVR Request
  • Outbound IVR Flows
    • Create Outbound IVR Flow
    • List Outbound IVR Flows
    • Get Outbound IVR Flow
    • Update Outbound IVR Flow
    • Delete Outbound IVR Flow
  • Tasks API
    • Create Task
    • List Tasks
    • Get Task
    • Update Task
    • Delete Task
    • List Task Properties
    • Create Task Property
    • List Task Projects
    • Create Task Project
    • Get Task Project
    • Rename Task Project
    • Delete Task Project
    • List Task Sections
    • Create Task Section
    • List Tasks By Conversation
    • Move Task
    • Schedule Task
    • Assign Task
    • Set Task Due Date
    • Complete Task
    • Reopen Task
    • Set Task Section
    • Move Task Project
    • Rename Task Section
    • Delete Task Section
    • Move Task Section
    • Update Task Property
    • Delete Task Property
    • Set Task Property Value
    • List Task Comments
    • Create Task Comment
    • Edit Task Comment
    • Delete Task Comment
    • Set Task Reminder
  • Teams API
    • Create Team
    • Get Team
    • Update Team
    • Delete Team
    • Add Team Members
    • Update Team Member Conversation Access
    • Remove Team Member
    • List Teams
    • List Team Member Options
    • List Team Assignment Targets
    • Assign Conversation to Team
  • Partner API
    • 2. Register customer
      • 1) Create registration
      • Update registration details
      • Resend mobile code
      • 2) Verify mobile code
      • 3) Send email code
      • 4) Verify email code
      • 5) Complete registration → workspace + workspace key
      • Issue another workspace key
    • 3. Subscribe (plan & balance)
      • Add wallet balance (top-up) → payment link
      • Plans you can sell (find the Builder plan ID)
      • Get wallet balance
      • Create quote (plan) → payment link
      • Get quote status (poll for payment)
    • 4. Phone number
      • Assign number (after payment)
      • Available numbers
      • List the workspace's channels
    • 5. Contract
      • Replaced: use Get activation link
      • Replaced: number status is on the channel
      • Get activation link
    • 6. AI agent (SIP)
      • Connect the number to your AI agent
      • Disconnect your AI agent
    • 7. Calls & events
      • Not available yet: list calls
      • Not available yet: set events webhook
  • Call Webhook
  • WhatsApp Message Webhook
  • Schemas
    • Call Webhook
    • WhatsApp Message Webhook
    • ServiceAccountTemplateDto
    • OutboundIvrOption
    • ConversationDto
    • RegistrationDetails
    • CreateTagDto
    • AbpError
    • ServiceAccountTemplateParameterDto
    • OutboundIvrQuestionStepProps
    • ChannelConversationDto
    • UpdateTagDto
    • TaskPropertyValue
    • CreateRegistration
    • ServiceAccountCreateTaskDto
    • TemplateParameterDto
    • OutboundIvrStep
    • OtpCode
    • TagDto
    • PagedResultOfTagDto
    • TaskActivityPropertySnapshot
    • ConversationTimelineDto
    • ApiCredential
    • ParameterValueDto
    • CreateOutboundIvrRequest
    • TaskActivitySnapshot
    • SaveOutboundIvrFlow
    • ChannelNotFoundError
    • OutboundIvrFlow
    • Quote
    • AiSummaryDto
    • TaskActivityDto
    • ReplyInfoDto
    • OutboundIvrAnswer
    • TaskSummaryDto
    • InternalThreadDto
    • OutboundIvrStatus
    • TaskDto
    • LocationMessageDto
    • OutboundIvrResult
    • PagedResultOfTaskDto
    • AssignationInfoDto
    • TaskPropertyDefinitionDto
    • PagedResultOfConversationDto
    • OutboundIvrAudioType
    • OutboundIvrRequest
    • PagedResultOfConversationTimelineDto
    • TaskProjectDto
    • TaskSectionDto
    • OutboundIvrWebhookPayload
    • PagedResultOfTaskProjectDto
    • PagedResultOfTaskSectionDto
    • UpdateTaskDto
    • MoveTaskDto
    • SetTaskSectionDto
    • SetTaskScheduleDto
    • AssignTaskDto
    • SetTaskDueDateDto
    • NameDto
    • MoveBeforeDto
    • TaskPropertyOptionDto
    • CreateTaskPropertyDto
    • UpdateTaskPropertyDto
    • TaskCommentDto
    • WriteTaskCommentDto
    • PagedResultOfTaskCommentDto
    • SetTaskReminderDto
  1. Account API

Service Login

POST
/connect/token
Authenticates a service account using the OAuth2 client credentials flow. Returns an access token used to authorize all other API requests.
Where to get client_id and client_secret:
Workspace API key (scope VoxaAPI): Hatif dashboard → Settings → API Connect → API Credentials.
Partner API key (scope PartnerAPI): Partner Portal at partners.hatif.io → API keys → Create key. Only the partner owner can create keys. The secret is shown once; store it safely, and revoke the key from the same page if it leaks.
Note: This endpoint should only be called from a trusted server-side environment (backend, script, desktop app). Calling it from a browser-side JavaScript will result in a 500 error since the client_secret would be exposed.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params application/x-www-form-urlencoded

Responses

🟢200OK
application/json
Returns the access token to use for authenticating subsequent API requests.
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.voxa.sa/connect/token' \
--header 'Authorization: Bearer <token>' \
--data-urlencode 'client_id=your-client-id' \
--data-urlencode 'client_secret=your-client-secret' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'scope=VoxaAPI'
Response Response Example
{
    "access_token": "eyJh...",
    "token_type": "Bearer",
    "expires_in": 1295999
}
Modified at 2026-11-10 13:31:26
Previous
Rate Limiting
Next
Get Channels
Built with